Subject: FW: Netconf Data Model BOF

From: "Sharon Chisholm" <[email-masked]>
Date: Tue, 20 Jul 2004 10:41:01 -0400

hi

We have approval to have a Netconf Data Model BOF at IETF 60. To join in on
the discussion, follow the instructions for joining the mailing list at
	http://standards.nortelnetworks.com/netconf/

Sharon

-----Original Message-----
From: Chisholm, Sharon [CAR:0S00:EXCH] 
Sent: Tuesday, July 20, 2004 7:14 AM
To: Netconf Data Model Discussion
Subject: Netconf Data Model BOF

hi

I ran out of time yesterday, but here is the BOF as it current stands. As
has been mentioned, there are a number of areas for discussion including
	- Agenda
	- Vision or direction to take data modelling
	- BOF Abbreviation
		- I like netmod
	- Additional Milestones
	- Volunteers

I'll also send a message to the netconf list reminding them we are over here
and letting them know we will be having a BOF

 Netconf Data Model BOF (netconfmodel)
 
 Time: TBD
 ==============================
 
 CHAIRS: Sharon Chisholm ([email-masked])
	    Randy Presuhn ([email-masked])
 
 Web page (which has a reference to the mailing list, archives,  papers and
presentations with proposed solutions):
 
 	http://standards.nortelnetworks.com/netconf/
 
 AGENDA:
 
 1) Preliminaries - 15 minutes
 2) Problem Statement/Scope Overview - 10 minutes
 3) Framework for Netconf Data Models - Sharon Chisholm -  15 min
 	
 http://www.ietf.org/internet-drafts/draft-chisholm-netconf-mod
 el-00.txt
 4) Netconf Data Model - Sandeep Adwanker, 20 minutes
 	
 http://www.ietf.org/internet-drafts/draft-adwankar-netconf-dat
amodel-00.txt
5) General Discussion - 15 minutes
6) Charter Discussion and Wrap-up - 10 minutes

Proposed Charter
----------------
The Netconf Data Model Working Group would be charted to provide an initial
framework to create XML data models for use with the Netconf protocol.
Abstract information models on which all XML data models would be based may
also be discussed. The working group will also produce some initial XML data
models as proof of concept examples, as well as to meet specific industry
need.

The network configuration (netconf -
http://www.ietf.org/html.charters/netconf-charter.html )working group in the
IETF is chartered to produce a protocol for network configuration. The data
models to be used with this new protocol are outside the scope of that
discussion. Even though the netconf architecture proposes to be independent
of data definition and data model, it is critical to start talking about
data models in more concrete terms to ensure there really aren't
implications for either the protocol or the models as a result of combining
them into system to provide management functionality. 

In addition, many feel that the identification or creation of standard data
models for use in netconf is critical for both the success of the protocol
and the benefit of the industry.

The working group will complete these tasks:

Define a 'Framework for Netconf Data Models' Document [Exact Title TDB]

Define a 'Netconf Data Model for system, interfaces and physical entities' 

The working group will consider existing definitions, including:

o Netconf Protocol Work

o SNMP Information Model

o Common Information Model (CIM) from DMTF

Goals and Milestones:
----------------------

Done        Bar BOF IETF 59

June 2004   Initial draft of Framework document

Aug 2004    Netconf Data Model BOF at IETF 60

Sept 2004   Version of Framework document as Working Group document

Mar  2005   Working Group Last Call On Framework document

Sharon Chisholm
Portfolio Integration
Nortel Networks
Ottawa, Canada

---
You are currently subscribed to netconfmodel as:
[email-masked]. To unsubscribe send an e-mail to
[email-masked] and in the body type unsubscribe netconfmodel

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>